Jak se zabývám chybami "neověřených zdrojů" v Softwarovém centru?

118

Jakákoli instalace, kterou se snažím prostřednictvím Softwarového centra, mi říká:

  

Vyžaduje instalaci nedůvěryhodných balíků: Tato akce vyžaduje instalaci balíčků z neověřených zdrojů.

I dělalapt-get update z příkazového řádku, pak odstraní zdroje softwaru, které klávesy byly špatné od (PPA jsem autorem tohoto stanoviska), a neoznačenou je ve zdrojích softwaru pro softwarové centrum, ale bezvýsledně. Nedaří se mi nic instalovat ze softwarového centra - pouze > z příkazového řádku s příkazem apt-get.

Odinstalujete / instalujete pouze jednu možnost? Nechci zlomit jiné PPA, které mám.

Další informace:

Zde je vložení aktualizace apt-get:

Reading package lists... Done
W: GPG error: http://ppa.launchpad.net oneiric Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY B725097B3ACC3965
W: GPG error: http://us.archive.ubuntu.com oneiric Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>

Pokusil (a) jsem se aktualizovat apt-key a nebyl tam žádný efekt (dva klíče beze změny).

Výstupapt-get update aapt-get upgrade, a obsah/etc/apt/sources.list, lze nalézt v tento pastebin příspěvek .

    
dané b. e. hollenbeck 06.12.2011 17:29

4 odpovědi

106

Otevřete terminál a zadejte příkazy pod jedním po druhém:

sudo apt-get clean
cd /var/lib/apt
sudo mv lists lists.old
sudo mkdir -p lists/partial
sudo apt-get clean
sudo apt-get update

Aktualizace: To nemusí pomoci v některých pozdějších verzích, které by mohly vyžadovat alternativní řešení, jako je ta v jiné odpovědi, nebo ta, která se v některých případech zdá, že dělá práci v rámci Ubuntu 16.04:

sudo apt-get update
sudo apt-get dist-upgrade
    
odpověděl Sadi 21.02.2012 10:45
67

Jedná se o běžný problém s PPA Launchpad. Je dost obtížné, že jsem tyto příkazy zkopíroval, když jsem znovu nainstaloval nebo přidal nové PPA Launchpad.

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys  

Pak

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys YOURKEYNUMBERHERE  

Nahraďte YOURKEYNUMBERHERE problémovými klíči, například:

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys B725097B3ACC3965  

A

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 40976EAF437D05B5  

První řádek je téměř stejný, mínus klíče. Může to být dokonce volitelně, opravdu nevím. Jediné, co jsem si jist, je, že tato metoda okamžitě řeší problém.

Pokud někdo najde originální odpověď, kterou jsem zkopírovala, z dala mi vědět a budu k ní propojen a udělám to.

** EDIT Je to téměř jistě odpověď odpověď karthik87 zde nebo zde Mám to od. To může být pravděpodobně uzavřeno jako duplikát.

Ať tak či onak, nezapomeňte udělat

sudo apt-get update  

po, opravit všechno.

Poznámka: Spuštěnímapt-get update nejprve se zobrazí chybová zpráva o chybějícím klíči a identifikačním čísle pro příkaz apt-key.

    
odpověděl Tom Brossman 06.12.2011 20:55
6

Možná byste se mohli pokusit přejít na hlavní server v Zdroji softwaru , kde se uvádí Stáhnout .

    
odpověděl foh1981 06.12.2011 18:04
0

Vyžaduje instalaci nedůvěryhodných balíků: Tato akce vyžaduje instalaci balíčků z neověřených zdrojů.

Po přidání úložiště jsem neobdržel tuto chybu od softwaru Ubuntu Updater bez přidání klíče pro repozitář. Některé repozitáře softwaru vám dávají pokyny, jak přidat klíčové úložiště spolu s pokyny pro přidání úložiště, jako je Launchpad. Jiní vám dávají klíč.

Chcete-li zjistit, jaký klíč potřebujete při spuštění terminálu:

sudo apt-get update

Tím se stáhne seznam dostupných balíků z vašich repozitářů, které používají klíče. Pokud chybí klíč, vrátí se chybová zpráva.

Použijte informace v chybové zprávě pro vyhledání a stažení klíče a přidejte jej do apt keyring s:

sudo apt-key add /PathToTheKeyFile/KeyFile.gpg

Měli byste vrátit OK . Nyní vyzkoušejte, že máte k dispozici všechny potřebné autentizační klíče pro repozitáře, které umožňují spuštění softwaru Ubuntu Updater:

sudo apt-get update

Znovu se stáhne seznam dostupných balíků z vašich repozitářů, které používají klíče. Pokud chybí klíč, vrátí se chybová zpráva.

    
odpověděl frederickjh 15.02.2017 11:15